<?php

use Illuminate\Support\Facades\Route;
use Modules\Channel\Http\Controllers\AdvertiserController;
use Modules\Channel\Http\Controllers\PayTemplateController;
use Modules\Channel\Http\Controllers\UserMiniprogramController;

Route::prefix('channel')->group(function () {
    Route::post('advertiser/add', [AdvertiserController::class, 'addAdvertiser']);
    Route::post('advertiser/updateAdvertiser', [AdvertiserController::class, 'updateAdvertiser']);

    Route::get('advertiser/listAdvertiser', [AdvertiserController::class, 'listAdvertiser']);
    Route::get('advertiser/getAdvertiser', [AdvertiserController::class, 'getAdvertiser']);

    Route::get('miniprogram/list', [UserMiniprogramController::class, 'index']);


    //支付模板
    Route::prefix('paytemplate')->group(function(){
        Route::get('optionTypeList',[PayTemplateController::class,'optionTypeListOutPut'])->withoutMiddleware(config('catch.route.middlewares'));
        Route::get('optionSequence',[PayTemplateController::class,'optionSequence'])->withoutMiddleware(config('catch.route.middlewares'));
        Route::get('list',[PayTemplateController::class,'index']);
        Route::get('show/{id}',[PayTemplateController::class,'show']);
        Route::post('store',[PayTemplateController::class,'store']);
        Route::post('update/{id}',[PayTemplateController::class,'update']);
        Route::post('updateStatus/{id}',[PayTemplateController::class,'updateStatus']);//->withoutMiddleware(config('catch.route.middlewares'));;
        Route::post('updatePayTemplateItem/{id}',[PayTemplateController::class,'updatePayTemplateItem']);
        Route::get('deleteOneItem/{id}',[PayTemplateController::class,'deleteOneItem']);
    });
    Route::prefix('wechat_min_user')->group(function (){
        // 微信小程用户信息
        Route::get('detail/{uid}',[\Modules\Channel\Http\Controllers\WechatMinprogramUserController::class,'userInfoDetail']);
        // 微信小程序充值记录
        Route::get('order_list',[\Modules\Channel\Http\Controllers\WechatMinprogramUserController::class,'orderList']);
        //观看记录
        Route::get('watch_record',[\Modules\Channel\Http\Controllers\WechatMinprogramUserController::class,'watchRecord']);
        // 消费记录
        Route::get('consume_record',[\Modules\Channel\Http\Controllers\WechatMinprogramUserController::class,'consumeRecord']);
    });

    Route::any("order_list",[\Modules\Channel\Http\Controllers\OrdersController::class,'orderList']);
    Route::any("order_types",[\Modules\Channel\Http\Controllers\OrdersController::class,'orderTypes']);
    Route::any("order_status",[\Modules\Channel\Http\Controllers\OrdersController::class,'orderStatus']);
    Route::any('promotions/options', [\Modules\Channel\Http\Controllers\OrdersController::class, 'promotionsOptions']);

});

